Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
libbfd-2.18.so: problema dopo aggiornamento
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
mrl4n
l33t
l33t


Joined: 08 Apr 2009
Posts: 674

PostPosted: Sun Jun 13, 2010 9:36 am    Post subject: libbfd-2.18.so: problema dopo aggiornamento Reply with quote

Ho recentemente aggiornato parecchie cose
Code:
Thu Jun  3 07:55:12 2010 >>> app-emulation/wine-1.2_rc1                       
Thu Jun  3 20:08:12 2010 >>> dev-libs/openssl-0.9.8o                         
Thu Jun  3 20:08:41 2010 >>> dev-python/sip-4.10.2                           
Thu Jun  3 20:16:35 2010 >>> dev-python/PyQt4-4.7.3                           
Fri Jun  4 15:47:07 2010 >>> app-emulation/wine-1.2_rc2                       
Sat Jun  5 14:56:27 2010 >>> gnome-base/gnome-common-2.28.0
Sat Jun  5 14:57:55 2010 >>> dev-db/sqlite-3.6.23.1
Sat Jun  5 14:58:45 2010 >>> media-libs/libart_lgpl-2.3.21-r1
Sat Jun  5 14:59:05 2010 >>> app-text/docbook-xml-dtd-4.3-r1
Sat Jun  5 15:38:29 2010 >>> sys-devel/gcc-4.4.3-r2
Sat Jun  5 15:40:28 2010 >>> x11-themes/gnome-icon-theme-2.28.0
Sat Jun  5 15:44:02 2010 >>> dev-lang/python-3.1.2-r3
Sat Jun  5 15:44:26 2010 >>> dev-util/gtk-doc-am-1.13
Sat Jun  5 15:45:07 2010 >>> app-text/rarian-0.8.1-r1
Sat Jun  5 15:48:31 2010 >>> dev-libs/glib-2.22.5
Sat Jun  5 15:50:34 2010 >>> x11-libs/pango-1.26.2
Sat Jun  5 15:51:30 2010 >>> sys-auth/consolekit-0.4.1
Sat Jun  5 15:53:10 2010 >>> gnome-base/orbit-2.14.18
Sat Jun  5 16:05:00 2010 >>> x11-libs/gtk+-2.18.9
Sat Jun  5 16:19:21 2010 >>> app-emulation/wine-1.2_rc2
Sat Jun  5 16:20:25 2010 >>> gnome-base/gconf-2.28.1
Sat Jun  5 16:21:13 2010 >>> x11-libs/gtksourceview-2.8.2
Sat Jun  5 16:22:18 2010 >>> x11-libs/libwnck-2.28.0
Sat Jun  5 16:23:58 2010 >>> gnome-base/gnome-keyring-2.28.2
Sat Jun  5 16:25:09 2010 >>> gnome-extra/libgsf-1.14.18
Sat Jun  5 16:26:27 2010 >>> gnome-base/librsvg-2.26.2
Sat Jun  5 16:27:54 2010 >>> dev-vcs/git-1.7.1-r1
Sat Jun  5 16:30:56 2010 >>> app-text/evince-2.28.2
Sat Jun  5 18:34:47 2010 >>> app-text/evince-2.28.2
Sat Jun  5 20:32:47 2010 >>> app-pda/pilot-link-0.12.3-r1
Sun Jun  6 10:15:51 2010 >>> dev-libs/icu-4.4.1
Sun Jun  6 18:31:26 2010 >>> kde-base/kde-env-4.4.4
Sun Jun  6 19:13:07 2010 >>> net-libs/webkit-gtk-1.1.15.4
Sun Jun  6 19:14:13 2010 >>> net-libs/libproxy-0.2.3-r3
Tue Jun  8 08:57:38 2010 >>> app-portage/portage-utils-0.3.1
Tue Jun  8 16:41:41 2010 >>> sys-devel/binutils-2.20.1-r1
Wed Jun  9 17:19:01 2010 >>> x11-misc/util-macros-1.8.0
Sat Jun 12 12:06:57 2010 >>> dev-libs/libtasn1-2.6
Sat Jun 12 12:07:35 2010 >>> app-admin/syslog-ng-3.1.1
Sat Jun 12 12:09:43 2010 >>> app-pda/pilot-link-0.12.3-r2
Sat Jun 12 12:20:42 2010 >>> x11-libs/qt-core-4.6.3
Sat Jun 12 12:21:50 2010 >>> x11-libs/qt-sql-4.6.3
Sat Jun 12 12:23:59 2010 >>> x11-libs/qt-script-4.6.3
Sat Jun 12 12:24:41 2010 >>> x11-libs/qt-test-4.6.3
Sat Jun 12 12:25:46 2010 >>> x11-libs/qt-dbus-4.6.3
Sat Jun 12 12:29:10 2010 >>> x11-libs/qt-xmlpatterns-4.6.3
Sat Jun 12 12:42:15 2010 >>> x11-libs/qt-gui-4.6.3
Sat Jun 12 12:45:57 2010 >>> x11-libs/qt-qt3support-4.6.3
Sat Jun 12 12:47:08 2010 >>> x11-libs/qt-svg-4.6.3
Sat Jun 12 12:48:33 2010 >>> x11-libs/qt-opengl-4.6.3
Sat Jun 12 13:13:24 2010 >>> x11-libs/qt-webkit-4.6.3
Sat Jun 12 13:14:41 2010 >>> media-video/kaffeine-1.0
Sat Jun 12 18:33:12 2010 >>> dev-libs/apr-1.4.2
Sun Jun 13 10:44:12 2010 >>> dev-libs/icu-4.4.1
Sun Jun 13 11:09:47 2010 >>> x11-libs/wxGTK-2.8.10.1-r5
Sun Jun 13 11:19:13 2010 >>> sys-devel/binutils-2.20.1-r1

e ora mi ritrovo con un problema all'avvio di alcune applicazioni
Code:
error while loading shared libraries: libbfd-2.18.so: cannot open shared object file: No such file or directory

L'unica cosa strana che ho notato è il messaggio
Code:
 * Sorry, but binutils does not support the LINGUAS: it
al termine della compilazione di sys-devel/binutil...
Back to top
View user's profile Send private message
k01
Arch/Herd Tester
Arch/Herd Tester


Joined: 13 Feb 2008
Posts: 617
Location: Milano

PostPosted: Sun Jun 13, 2010 10:04 am    Post subject: Reply with quote

già provato revdep-rebuild?
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1521
Location: Milan, Italy

PostPosted: Sun Jun 13, 2010 10:29 am    Post subject: Reply with quote

nel caso revdep non dia nessun risultato prova a forzare sulla libreria che ti da errore
Back to top
View user's profile Send private message
mrl4n
l33t
l33t


Joined: 08 Apr 2009
Posts: 674

PostPosted: Sun Jun 13, 2010 2:02 pm    Post subject: Reply with quote

Già provate entrambe le soluzioni... :(

Ora però il problema pare coinvolgere solo amule-adunanza (layman-dottout) che mi restituisce
Code:
 ^[[32;01m*^[[0m CPV:  net-p2p/amuleadu-9999
 ^[[32;01m*^[[0m REPO: dottout
 ^[[32;01m*^[[0m USE:  elibc_glibc gtk kernel_linux nls unicode userland_GNU x86
 ^[[33;01m*^[[0m
 ^[[33;01m*^[[0m Questo ebuild e' basato su SVN snapshot e sul relativo port
 ^[[33;01m*^[[0m sperimentale della patch adunanza. Pertanto e' doppiamente
 ^[[33;01m*^[[0m instabile e non vi e' garanzia di corretto funzionamento
 ^[[33;01m*^[[0m
sandbox:main  signal SIGQUIT already had a handler ...

>>> Unpacking source...
 ^[[32;01m*^[[0m subversion update start -->
 ^[[32;01m*^[[0m      repository: https://amule-adunanza.svn.sourceforge.net/svnroot/amule-adunanza$
svn: Target path '/branches/mrhyde_test' does not exist
 ^[[31;01m*^[[0m ERROR: net-p2p/amuleadu-9999 failed:
 ^[[31;01m*^[[0m   subversion: can't update /usr/portage/distfiles/svn-src/amule-adunanza/mrhyde_te$
 ^[[31;01m*^[[0m
 ^[[31;01m*^[[0m Call stack:
 ^[[31;01m*^[[0m     ebuild.sh, line   48:  Called src_unpack
 ^[[31;01m*^[[0m   environment, line 3366:  Called subversion_src_unpack
 ^[[31;01m*^[[0m   environment, line 3713:  Called subversion_fetch
 ^[[31;01m*^[[0m   environment, line 3675:  Called die
 ^[[31;01m*^[[0m The specific snippet of code:
 ^[[31;01m*^[[0m                           ${ESVN_UPDATE_CMD} ${options} || die "${ESVN}: can't upd$
 ^[[31;01m*^[[0m
 ^[[31;01m*^[[0m If you need support, post the output of 'emerge --info =net-p2p/amuleadu-9999',
 ^[[31;01m*^[[0m the complete build log and the output of 'emerge -pqv =net-p2p/amuleadu-9999'.
 ^[[31;01m*^[[0m This ebuild is from an overlay named 'dottout': '/usr/local/portage/layman/dottout$
 ^[[31;01m*^[[0m The complete build log is located at '/var/tmp/portage/net-p2p/amuleadu-9999/temp/$
 ^[[31;01m*^[[0m The ebuild environment file is located at '/var/tmp/portage/net-p2p/amuleadu-9999/$
 ^[[31;01m*^[[0m S: '/var/tmp/portage/net-p2p/amuleadu-9999/work/amule-adunanza'
sandbox:main  signal SIGQUIT already had a handler ...
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1521
Location: Milan, Italy

PostPosted: Sun Jun 13, 2010 3:59 pm    Post subject: Reply with quote

mrl4n wrote:
Questo ebuild e' basato su SVN snapshot e sul relativo port sperimentale della patch adunanza. Pertanto e' doppiamente instabile e non vi e' garanzia di corretto funzionamento


non ho cmq capito il legame tra la libreria e l'emerge di amule....
Back to top
View user's profile Send private message
mrl4n
l33t
l33t


Joined: 08 Apr 2009
Posts: 674

PostPosted: Sun Jun 13, 2010 5:02 pm    Post subject: Reply with quote

Sinceramente nemmeno io, ma evidentemente amule-adunanza richiede quella libreria, infatti con un revdep-rebuild amule è il pacchetto che il sistema cerca di riemergere, con esito negativo.
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1521
Location: Milan, Italy

PostPosted: Sun Jun 13, 2010 9:43 pm    Post subject: Reply with quote

prova a cercare pi a fondo qual'è la libreria... :)
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Mon Jun 14, 2010 7:02 am    Post subject: Reply with quote

emerge wrote:
repository: https://amule-adunanza.svn.sourceforge.net/svnroot/amule-adunanza$
svn: Target path '/branches/mrhyde_test' does not exist


Basta leggere...

La libreria, in questo caso, non centra niente. O l'ebuild è sbagliato (o non aggiornato) oppure ci sono dei problemi sul server svn di sourceforge.
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
mrl4n
l33t
l33t


Joined: 08 Apr 2009
Posts: 674

PostPosted: Mon Jun 14, 2010 3:15 pm    Post subject: Reply with quote

Onip wrote:
emerge wrote:
repository: https://amule-adunanza.svn.sourceforge.net/svnroot/amule-adunanza$
svn: Target path '/branches/mrhyde_test' does not exist


Basta leggere...

La libreria, in questo caso, non centra niente. O l'ebuild è sbagliato (o non aggiornato) oppure ci sono dei problemi sul server svn di sourceforge.


Quindi escludendo l'ebuild (fino a l'altro giorno ha funzionato senza problemi) tutti gli utilizzatori di amule-adunanza hanno il mio stesso problema...
Back to top
View user's profile Send private message
.:deadhead:.
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 2963
Location: Milano, Italy

PostPosted: Mon Jun 14, 2010 3:34 pm    Post subject: Reply with quote

mrl4n wrote:
Quindi escludendo l'ebuild (fino a l'altro giorno ha funzionato senza problemi) tutti gli utilizzatori di amule-adunanza hanno il mio stesso problema...
Tutti quelli che stanno provando ad installarlo, come te. Riprova, magari ora hanno sanato il problema del repo.
_________________
Proudly member of the Gentoo Documentation Project: the Italian Conspiracy ! ;)
Back to top
View user's profile Send private message
mrl4n
l33t
l33t


Joined: 08 Apr 2009
Posts: 674

PostPosted: Mon Jun 14, 2010 9:15 pm    Post subject: Reply with quote

Comunque questo non lo capisco proprio
Code:
# revdep-rebuild                                                                   
 * Configuring search environment for revdep-rebuild

 * Checking reverse dependencies
 * Packages containing binaries and libraries broken by a package update
 * will be emerged.

 * Collecting system binaries and libraries
 * Generated new 1_files.rr
 * Collecting complete LD_LIBRARY_PATH
 * Generated new 2_ldpath.rr
 * Checking dynamic linking consistency
[ 4% ]  *   broken /usr/bin/amule (requires libbfd-2.18.so)
 *   broken /usr/bin/amulecmd (requires libbfd-2.18.so)
[ 100% ]                                               
 * Generated new 3_broken.rr
 * Assigning files to packages
 *   /usr/bin/amule -> net-p2p/amuleadu
 *   /usr/bin/amulecmd -> net-p2p/amuleadu
 * Generated new 4_raw.rr and 4_owners.rr
 * Cleaning list of packages to rebuild
 * Generated new 4_pkgs.rr
 * Assigning packages to ebuilds
 * Generated new 4_ebuilds.rr
 * Evaluating package order
 * Generated new 5_order.rr
 * All prepared. Starting rebuild
emerge --oneshot   net-p2p/amuleadu:0
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1521
Location: Milan, Italy

PostPosted: Tue Jun 15, 2010 1:31 pm    Post subject: Reply with quote

provo a dire la mia...nel qlop del messaggio iniziale leggo che hai installato binutils 2.20 mentre quella libreria fa parte di binutils 2.18..potrebbe nascere da qui il casino?
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Tue Jun 15, 2010 4:23 pm    Post subject: Reply with quote

cosa c'è che non capisci?

gli eseguibili amule e amulecmd sono linkati ad una vecchia versione di libbfd, la 2.18, ma questa non è più presente nel sistema in seguito all'upgrade di binutils. A questo punto revdep-rebuild, da bravo soldatino, te lo riporta e lancia la riemersione in modo da poter linkare i file con la nuova versione della libreria. A me sembra molto lineare, tanto più che è tutto scritto per filo e per segno nell'output che hai postato :evil: (ti dai la pena di leggerlo o lo posti e basta ?)
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
mrl4n
l33t
l33t


Joined: 08 Apr 2009
Posts: 674

PostPosted: Tue Jun 15, 2010 4:53 pm    Post subject: Reply with quote

...ultimamente noto con gioia che il livello di simpatia sta salendo alle stelle...sono contento.
Grazie comunque della risposta.
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Tue Jun 15, 2010 9:45 pm    Post subject: Reply with quote

non è questione di simpatia o di antipatia. Hai fatto un bel copia e incolla di un output chiaro (basta leggere) dicendo di non capire, ma senza specificare cosa non capisci. A me è sembrata un po' una richiesta del tipo "fatemi trovare la pappa pronta", come quella nel primo post, per la quale sono presenti n-mila post più o meno simili ( "cannot open shared object file" ) per il quale la soluzione è sempre revdep-rebuild: bastava cercare, come specificato nelle linee guida.
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum